Home

# Class goog.proto2.PbLiteSerializer

PB-Lite serializer.

extends goog.proto2.LazyDeserializer

Instance Method Summary
| `deserializeField(?goog.proto2.Message message, ?goog.proto2.FieldDescriptor field, <Any Type> data) ⇒ <Any Type>` Deserializes a message field from the expected format and places the data in the given message
| `getDeserializedValue(?goog.proto2.FieldDescriptor field, <Any Type> value) ⇒ <Any Type>` Returns the deserialized form of the given value for the given field if the field is a Message or Group and returns the value, converted or unchanged, for primitive field types otherwise.
| `getSerializedValue(?goog.proto2.FieldDescriptor field, <Any Type> value) ⇒ <Any Type>` Returns the serialized form of the given value for the given field if the field is a Message or Group and returns the value unchanged otherwise.
| `serialize(?goog.proto2.Message message) ⇒ !Array` Serializes a message to a PB-Lite object.